# thread.h File Reference

`#include <pthread.h>`

Go to the source code of this file.

## Defines

#define | THREAD_STACK 524288

## Functions

int | jack_client_real_time_priority (jack_client_t *)
int | jack_client_max_real_time_priority (jack_client_t *)
int | jack_acquire_real_time_scheduling (pthread_t thread, int priority)
int | jack_client_create_thread (jack_client_t *client, pthread_t *thread, int priority, int realtime, void *(*start_routine)(void *), void *arg)
int | jack_drop_real_time_scheduling (pthread_t thread)

## Detailed Description

Library functions to standardize thread creation for JACK and its clients. These interfaces hide some system variations in the handling of realtime scheduling and associated privileges.

## Define Documentation

#define THREAD_STACK 524288